Skip to main content
GET
/
v1
/
data
/
wallets
/
{address}
/
tokens
List wallet tokens
curl --request GET \
  --url https://api-nova.tech/v1/data/wallets/{address}/tokens
import requests

url = "https://api-nova.tech/v1/data/wallets/{address}/tokens"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api-nova.tech/v1/data/wallets/{address}/tokens', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "tokens": [
    {
      "mint": "<string>",
      "amount": "<string>",
      "symbol": "<string>",
      "name": "<string>",
      "valueUsd": 123,
      "portfolioPct": 123,
      "priceUsd": 123
    }
  ]
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Too many requests. Try again later.",
    "requestId": "<string>"
  }
}

Path Parameters

address
string
required

Solana wallet address.

Minimum string length: 32

Query Parameters

limit
integer
default:25

Maximum number of records to return.

Required range: 1 <= x <= 100

Response

Wallet token holdings.

tokens
object[]
required